Bug 238981 - [PATCH] graphics/jogl: Support for Java version changes
Summary: [PATCH] graphics/jogl: Support for Java version changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Peter Jeremy
URL:
Keywords:
Depends on:
Blocks: 238758
  Show dependency treegraph
 
Reported: 2019-07-04 02:39 UTC by Greg Lewis
Modified: 2019-07-17 15:08 UTC (History)
0 users

See Also:
peterj: maintainer-feedback+
glewis: maintainer-feedback?


Attachments
Makefile changes (700 bytes, patch)
2019-07-04 02:39 UTC, Greg Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lewis freebsd_committer 2019-07-04 02:39:58 UTC
Created attachment 205514 [details]
Makefile changes

In bug #238758 I have a change that will alter the format of JAVA_PORT_VERSION to be consistent with modern Java versioning.  This patch adds support to this port for handling that, while preserving the functionality with the current format of JAVA_PORT_VERSION.  Please review.
Comment 1 Peter Jeremy freebsd_committer 2019-07-14 09:29:57 UTC
Approved.
Comment 2 commit-hook freebsd_committer 2019-07-17 15:07:51 UTC
A commit references this bug:

Author: glewis
Date: Wed Jul 17 15:07:04 UTC 2019
New revision: 506804
URL: https://svnweb.freebsd.org/changeset/ports/506804

Log:
  Adjust to proposed changes in Java versioning

  * Bug #238758 proposes to change the Java versioning from versions such
    as "1.6.0" to versions such as "6" (for example).  Modify the Makefile
    checks on JAVA_PORT_VERSION to cope with either format.

  PR:		238981
  Approved by:	peterj (maintainer)

Changes:
  head/graphics/jogl/Makefile
Comment 3 Greg Lewis freebsd_committer 2019-07-17 15:08:35 UTC
Thanks!  I've committed the change